package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class DegreeQueryInfo extends QueryInfo {

    private Integer id;

    /**
     * 零星支付id
     */
    @ApiModelProperty(value = "零星支付id", required = true)
    private Integer sporadicId;

    private String degreeType;

    /**
     * 订单编号
     */
    @ApiModelProperty(value = "订单编号", required = true)
    private String orderNo;

    /**
     * 订单流水号
     */
    @ApiModelProperty(value = "订单流水号",required = false)
    private String transNo;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "名字", required = true)
    private String name;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别", required = true)
    private String gender;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号", required = true)
    private String idcard;

    /**
     * 城市
     */
    @ApiModelProperty(value = "城市", required = true)
    private String city;

    /**
     * 学校
     */
    @ApiModelProperty(value = "学校", required = true)
    private String school;

    /**
     * 乐器
     */
    @ApiModelProperty(value = "乐器", required = true)
    private String subject;

    /**
     * 考试级别
     */
    @ApiModelProperty(value = "考试级别", required = true)
    private String level;

    /**
     * 乐理级别
     */
    @ApiModelProperty(value = "乐理级别", required = true)
    private String theoryLevel;


    /**
     * 乐理级别证书
     */
    @ApiModelProperty(value = "乐理级别证书", required = true)
    private String theoryCert;

    /**
     * 家长联系电话
     */
    @ApiModelProperty(value = "家长联系电话", required = true)
    private String mobile;

    /**
     * 考级费用
     */
    @ApiModelProperty(value = "收费标准", required = false)
    private BigDecimal money;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false)
    private String memo;

    /**
     * 乐理费用
     */
    @ApiModelProperty(value = "乐理费用", required = true)
    private BigDecimal theoryMoney;


    /**
     * 分部id
     */
    @ApiModelProperty(value = "分部id", required = true)
    private String organId;

    /**
     * 报名时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;


    @ApiModelProperty(value = "开始日期（不包含时分秒）",required = false)
    private String startTime;

    @ApiModelProperty(value = "结束日期",required = false)
    private String endTime;

    @ApiModelProperty(value = "0-未支付 1-支付中 2-已支付 2-已退费",required = false)
    private Integer status;

    public String getDegreeType() {
        return degreeType;
    }

    public void setDegreeType(String degreeType) {
        this.degreeType = degreeType;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getSporadicId() {
        return sporadicId;
    }

    public void setSporadicId(Integer sporadicId) {
        this.sporadicId = sporadicId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getTheoryLevel() {
        return theoryLevel;
    }

    public void setTheoryLevel(String theoryLevel) {
        this.theoryLevel = theoryLevel;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public BigDecimal getTheoryMoney() {
        return theoryMoney;
    }

    public void setTheoryMoney(BigDecimal theoryMoney) {
        this.theoryMoney = theoryMoney;
    }

    public String getTheoryCert() {
        return theoryCert;
    }

    public void setTheoryCert(String theoryCert) {
        this.theoryCert = theoryCert;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }
}
